TEMPLATE = app
TARGET = jerryscript
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt
CONFIG += object_parallel_to_source

DEFINES += JERRY_COMMIT_HASH=\\\"723b2639\\\"

INCLUDEPATH += \
    ../jerryscript/jerry-math/include \
    ../jerryscript/jerry-ext/include \
    ../jerryscript/jerry-port/default/include \
    ../jerryscript/jerry-core \
    ../jerryscript/jerry-core/debugger \
    ../jerryscript/jerry-core/ecma/base \
    ../jerryscript/jerry-core/ecma/operations \
    ../jerryscript/jerry-core/ecma/builtin-objects \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray \
    ../jerryscript/jerry-core/jcontext \
    ../jerryscript/jerry-core/include \
    ../jerryscript/jerry-core/jmem \
    ../jerryscript/jerry-core/parser/js \
    ../jerryscript/jerry-core/parser/regexp \
    ../jerryscript/jerry-core/lit \
    ../jerryscript/jerry-core/jrt \
    ../jerryscript/jerry-core/vm \
    ../jerryscript/jerry-ext/common

SOURCES += \
    ../jerryscript/jerry-core/api/jerry.c \
    ../jerryscript/jerry-core/api/jerry-debugger.c \
    ../jerryscript/jerry-core/api/jerry-debugger-transport.c \
    ../jerryscript/jerry-core/api/jerry-snapshot.c \
    ../jerryscript/jerry-ext/arg/arg.c \
    ../jerryscript/jerry-ext/arg/arg-js-iterator-helper.c \
    ../jerryscript/jerry-ext/arg/arg-transform-functions.c \
#    ../jerryscript/jerry-main/benchmarking.c \
    ../jerryscript/jerry-main/cli.c \
#    ../jerryscript/jerry-main/libfuzzer.c \
    ../jerryscript/jerry-main/main-jerry.c \
#    ../jerryscript/jerry-main/main-jerry-snapshot.c \
#    ../jerryscript/jerry-main/main-jerry-test.c \
    ../jerryscript/jerry-main/main-options.c \
    ../jerryscript/jerry-main/main-utils.c \
    ../jerryscript/jerry-math/acos.c \
    ../jerryscript/jerry-math/acosh.c \
    ../jerryscript/jerry-math/asin.c \
    ../jerryscript/jerry-math/asinh.c \
    ../jerryscript/jerry-math/atan.c \
    ../jerryscript/jerry-math/atan2.c \
    ../jerryscript/jerry-math/atanh.c \
    ../jerryscript/jerry-math/cbrt.c \
    ../jerryscript/jerry-math/ceil.c \
    ../jerryscript/jerry-math/copysign.c \
    ../jerryscript/jerry-math/cosh.c \
    ../jerryscript/jerry-math/exp.c \
    ../jerryscript/jerry-math/expm1.c \
    ../jerryscript/jerry-math/fabs.c \
    ../jerryscript/jerry-math/floor.c \
    ../jerryscript/jerry-math/fmod.c \
    ../jerryscript/jerry-math/log.c \
    ../jerryscript/jerry-math/log1p.c \
    ../jerryscript/jerry-math/log2.c \
    ../jerryscript/jerry-math/log10.c \
    ../jerryscript/jerry-math/nextafter.c \
    ../jerryscript/jerry-math/pow.c \
    ../jerryscript/jerry-math/scalbn.c \
    ../jerryscript/jerry-math/sinh.c \
    ../jerryscript/jerry-math/sqrt.c \
    ../jerryscript/jerry-math/tanh.c \
    ../jerryscript/jerry-math/trig.c \
    ../jerryscript/jerry-core/debugger/debugger.c \
    ../jerryscript/jerry-core/ecma/base/ecma-alloc.c \
    ../jerryscript/jerry-core/ecma/base/ecma-errors.c \
    ../jerryscript/jerry-core/ecma/base/ecma-extended-info.c \
    ../jerryscript/jerry-core/ecma/base/ecma-gc.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-collection.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-conversion.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-errol.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-external-pointers.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-number.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-string.c \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers-value.c \
    ../jerryscript/jerry-core/ecma/base/ecma-init-finalize.c \
    ../jerryscript/jerry-core/ecma/base/ecma-lcache.c \
    ../jerryscript/jerry-core/ecma/base/ecma-line-info.c \
    ../jerryscript/jerry-core/ecma/base/ecma-literal-storage.c \
    ../jerryscript/jerry-core/ecma/base/ecma-module.c \
    ../jerryscript/jerry-core/ecma/base/ecma-property-hashmap.c \
    ../jerryscript/jerry-core/jcontext/jcontext.c \
    ../jerryscript/jerry-core/jrt/jrt-fatals.c \
    ../jerryscript/jerry-core/lit/lit-char-helpers.c \
    ../jerryscript/jerry-core/lit/lit-magic-strings.c \
    ../jerryscript/jerry-core/lit/lit-strings.c \
    ../jerryscript/jerry-core/parser/js/byte-code.c \
    ../jerryscript/jerry-core/parser/js/common.c \
    ../jerryscript/jerry-core/parser/js/js-lexer.c \
    ../jerryscript/jerry-core/parser/js/js-parser.c \
    ../jerryscript/jerry-core/parser/js/js-parser-expr.c \
    ../jerryscript/jerry-core/parser/js/js-parser-line-info-create.c \
    ../jerryscript/jerry-core/parser/js/js-parser-mem.c \
    ../jerryscript/jerry-core/parser/js/js-parser-module.c \
    ../jerryscript/jerry-core/parser/js/js-parser-statm.c \
    ../jerryscript/jerry-core/parser/js/js-parser-tagged-template-literal.c \
    ../jerryscript/jerry-core/parser/js/js-parser-util.c \
    ../jerryscript/jerry-core/parser/js/js-scanner.c \
    ../jerryscript/jerry-core/parser/js/js-scanner-ops.c \
    ../jerryscript/jerry-core/parser/js/js-scanner-util.c \
    ../jerryscript/jerry-core/vm/opcodes.c \
    ../jerryscript/jerry-core/vm/opcodes-ecma-arithmetics.c \
    ../jerryscript/jerry-core/vm/opcodes-ecma-bitwise.c \
    ../jerryscript/jerry-core/vm/opcodes-ecma-relational-equality.c \
    ../jerryscript/jerry-core/vm/vm.c \
    ../jerryscript/jerry-core/vm/vm-stack.c \
    ../jerryscript/jerry-core/vm/vm-utils.c \
    ../jerryscript/jerry-ext/debugger/debugger-common.c \
    ../jerryscript/jerry-ext/debugger/debugger-rp.c \
    ../jerryscript/jerry-ext/debugger/debugger-serial.c \
    ../jerryscript/jerry-ext/debugger/debugger-sha1.c \
    ../jerryscript/jerry-ext/debugger/debugger-tcp.c \
    ../jerryscript/jerry-ext/debugger/debugger-ws.c \
    ../jerryscript/jerry-ext/handler/handler-assert.c \
    ../jerryscript/jerry-ext/handler/handler-gc.c \
    ../jerryscript/jerry-ext/handler/handler-print.c \
    ../jerryscript/jerry-ext/handler/handler-register.c \
    ../jerryscript/jerry-ext/handler/handler-resource-name.c \
    ../jerryscript/jerry-ext/module/module.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-arguments-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-arraybuffer-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-array-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-async-generator-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-bigint.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-bigint-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-big-uint.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-boolean-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-comparison.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-container-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-conversion.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-dataview-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-eval.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-exceptions.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-function-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-get-put-value.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-iterator-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-jobqueue.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-lex-env.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-number-arithmetic.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-number-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-objects.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-objects-general.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-promise-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-proxy-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-reference.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-regexp-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-shared-arraybuffer-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-string-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-symbol-object.c \
    ../jerryscript/jerry-core/ecma/operations/ecma-typedarray-object.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-aggregateerror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-aggregateerror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-arraybuffer.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-arraybuffer-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array-prototype-unscopables.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-function.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-function-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-generator.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-generator-function.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-generator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-bigint.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-bigint-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-boolean.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-boolean-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-dataview.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-dataview-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-date.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-date-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-error.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-error-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-evalerror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-evalerror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-function.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-function-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-generator.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-generator-function.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-generator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-global.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-handlers.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers-date.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers-error.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers-json.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers-sort.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-intrinsic.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-json.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-map.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-map-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-map-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-math.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-number.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-number-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-object.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-object-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-promise.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-promise-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-proxy.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-rangeerror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-rangeerror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-referenceerror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-referenceerror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-reflect.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-regexp.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-regexp-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-regexp-string-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtins.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-set.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-set-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-set-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-shared-arraybuffer.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-shared-arraybuffer-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-string.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-string-iterator-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-string-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-symbol.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-symbol-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-syntaxerror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-syntaxerror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-typeerror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-typeerror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-type-error-thrower.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-urierror.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-urierror-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakmap.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakmap-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakref.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakref-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakset.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakset-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-bigint64array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-bigint64array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-biguint64array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-biguint64array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float32array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float32array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float64array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float64array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int8array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int8array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int16array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int16array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int32array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int32array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray-helpers.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8clampedarray.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8clampedarray-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint16array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint16array-prototype.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint32array.c \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint32array-prototype.c \
    ../jerryscript/jerry-core/jmem/jmem-allocator.c \
    ../jerryscript/jerry-core/jmem/jmem-heap.c \
    ../jerryscript/jerry-core/jmem/jmem-poolman.c \
    ../jerryscript/jerry-port/default/default-date.c \
    ../jerryscript/jerry-port/default/default-debugger.c \
    ../jerryscript/jerry-port/default/default-external-context.c \
    ../jerryscript/jerry-port/default/default-fatal.c \
    ../jerryscript/jerry-port/default/default-io.c \
    ../jerryscript/jerry-port/default/default-module.c \
    ../jerryscript/jerry-core/parser/regexp/re-bytecode.c \
    ../jerryscript/jerry-core/parser/regexp/re-compiler.c \
    ../jerryscript/jerry-core/parser/regexp/re-parser.c

HEADERS += \
    ../jerryscript/jerry-core/api/jerry-snapshot.h \
    ../jerryscript/jerry-ext/arg/arg-internal.h \
    ../jerryscript/jerry-main/cli.h \
    ../jerryscript/jerry-main/main-options.h \
    ../jerryscript/jerry-main/main-utils.h \
    ../jerryscript/jerry-math/jerry-math-internal.h \
    ../jerryscript/jerry-math/include/math.h \
    ../jerryscript/jerry-core/debugger/debugger.h \
    ../jerryscript/jerry-core/ecma/base/ecma-alloc.h \
    ../jerryscript/jerry-core/ecma/base/ecma-errors.h \
    ../jerryscript/jerry-core/ecma/base/ecma-extended-info.h \
    ../jerryscript/jerry-core/ecma/base/ecma-gc.h \
    ../jerryscript/jerry-core/ecma/base/ecma-globals.h \
    ../jerryscript/jerry-core/ecma/base/ecma-helpers.h \
    ../jerryscript/jerry-core/ecma/base/ecma-init-finalize.h \
    ../jerryscript/jerry-core/ecma/base/ecma-lcache.h \
    ../jerryscript/jerry-core/ecma/base/ecma-line-info.h \
    ../jerryscript/jerry-core/ecma/base/ecma-literal-storage.h \
    ../jerryscript/jerry-core/ecma/base/ecma-module.h \
    ../jerryscript/jerry-core/ecma/base/ecma-property-hashmap.h \
    ../jerryscript/jerry-core/include/jerryscript.h \
    ../jerryscript/jerry-core/include/jerryscript-compiler.h \
    ../jerryscript/jerry-core/include/jerryscript-core.h \
    ../jerryscript/jerry-core/include/jerryscript-debugger.h \
    ../jerryscript/jerry-core/include/jerryscript-debugger-transport.h \
    ../jerryscript/jerry-core/include/jerryscript-port.h \
    ../jerryscript/jerry-core/include/jerryscript-snapshot.h \
    ../jerryscript/jerry-core/include/jerryscript-types.h \
    ../jerryscript/jerry-core/jcontext/jcontext.h \
    ../jerryscript/jerry-core/jrt/jrt.h \
    ../jerryscript/jerry-core/jrt/jrt-bit-fields.h \
    ../jerryscript/jerry-core/jrt/jrt-libc-includes.h \
    ../jerryscript/jerry-core/jrt/jrt-types.h \
    ../jerryscript/jerry-core/lit/lit-char-helpers.h \
    ../jerryscript/jerry-core/lit/lit-globals.h \
    ../jerryscript/jerry-core/lit/lit-magic-strings.h \
    ../jerryscript/jerry-core/lit/lit-magic-strings.inc.h \
    ../jerryscript/jerry-core/lit/lit-strings.h \
    ../jerryscript/jerry-core/lit/lit-unicode-conversions.inc.h \
    ../jerryscript/jerry-core/lit/lit-unicode-conversions-sup.inc.h \
    ../jerryscript/jerry-core/lit/lit-unicode-folding.inc.h \
    ../jerryscript/jerry-core/lit/lit-unicode-ranges.inc.h \
    ../jerryscript/jerry-core/lit/lit-unicode-ranges-sup.inc.h \
    ../jerryscript/jerry-core/parser/js/byte-code.h \
    ../jerryscript/jerry-core/parser/js/common.h \
    ../jerryscript/jerry-core/parser/js/js-lexer.h \
    ../jerryscript/jerry-core/parser/js/js-parser.h \
    ../jerryscript/jerry-core/parser/js/js-parser-internal.h \
    ../jerryscript/jerry-core/parser/js/js-parser-limits.h \
    ../jerryscript/jerry-core/parser/js/js-parser-tagged-template-literal.h \
    ../jerryscript/jerry-core/parser/js/js-scanner.h \
    ../jerryscript/jerry-core/parser/js/js-scanner-internal.h \
    ../jerryscript/jerry-core/vm/opcodes.h \
    ../jerryscript/jerry-core/vm/vm.h \
    ../jerryscript/jerry-core/vm/vm-defines.h \
    ../jerryscript/jerry-core/vm/vm-stack.h \
    ../jerryscript/jerry-core/config.h \
    ../jerryscript/jerry-ext/common/jext-common.h \
    ../jerryscript/jerry-ext/debugger/debugger-sha1.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/arg.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/arg.impl.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/autorelease.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/autorelease.impl.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/debugger.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/handler.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/handle-scope.h \
    ../jerryscript/jerry-ext/include/jerryscript-ext/module.h \
    ../jerryscript/jerry-port/default/include/jerryscript-port-default.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-arguments-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-arraybuffer-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-array-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-async-generator-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-bigint.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-bigint-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-big-uint.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-boolean-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-comparison.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-container-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-conversion.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-dataview-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-eval.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-exceptions.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-function-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-iterator-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-jobqueue.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-lex-env.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-number-arithmetic.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-number-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-objects.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-objects-general.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-promise-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-proxy-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-reference.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-regexp-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-shared-arraybuffer-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-string-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-symbol-object.h \
    ../jerryscript/jerry-core/ecma/operations/ecma-typedarray-object.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-aggregateerror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-aggregateerror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-arraybuffer.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-arraybuffer-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-array-prototype-unscopables.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-function.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-function-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-generator.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-generator-function.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-generator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-async-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-bigint.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-bigint-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-boolean.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-boolean-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-dataview.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-dataview-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-date.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-date-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-error.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-error-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-evalerror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-evalerror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-function.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-function-prototype.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-function-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-generator.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-generator-function.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-generator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-global.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-handlers.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-handlers.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers-macro-defines.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-helpers-macro-undefs.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-internal-routines-template.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-intrinsic.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-json.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-map.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-map-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-map-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-math.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-number.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-number-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-object.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-object.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-object-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-promise.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-promise-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-proxy.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-rangeerror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-rangeerror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-referenceerror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-referenceerror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-reflect.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-regexp.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-regexp-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-regexp-string-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtins.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtins.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-set.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-set-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-set-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-shared-arraybuffer.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-shared-arraybuffer-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtins-internal.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-string.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-string-iterator-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-string-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-symbol.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-symbol-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-syntaxerror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-syntaxerror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-typeerror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-typeerror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-type-error-thrower.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-urierror.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-urierror-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakmap.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakmap-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakref.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakref-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakset.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/ecma-builtin-weakset-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-bigint64array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-bigint64array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-biguint64array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-biguint64array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float32array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float32array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float64array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-float64array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int8array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int8array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int16array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int16array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int32array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-int32array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray-helpers.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray-prototype-template.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-typedarray-template.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8clampedarray.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint8clampedarray-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint16array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint16array-prototype.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint32array.inc.h \
    ../jerryscript/jerry-core/ecma/builtin-objects/typedarray/ecma-builtin-uint32array-prototype.inc.h \
    ../jerryscript/jerry-core/jmem/jmem.h \
    ../jerryscript/jerry-core/jmem/jmem-allocator-internal.h \
    ../jerryscript/jerry-core/parser/regexp/re-bytecode.h \
    ../jerryscript/jerry-core/parser/regexp/re-compiler.h \
    ../jerryscript/jerry-core/parser/regexp/re-compiler-context.h \
    ../jerryscript/jerry-core/parser/regexp/re-parser.h \
    ../jerryscript/jerry-core/parser/regexp/re-token.h

